// 2025. Стенка на стенку
#include <cstdio>

int main() {
    int T, n, k;
    scanf("%d", &T);

    for(int i = 0; i < T; i++){
        scanf("%d %d", &n, &k);
        int c = n / k;      // в каждой команде равноверно распределено
        int a = n - c * k;  // остаток раавномерно нераспр людей / кол-во с другим составом людей
        int b = k - a;      // в каждую команду по 1 человеку, получаем кол-во команд с равн распр
        int ans = ( (c*b)*(n-c) + a*(c+1)*(n-c-1) ) >> 1;
        printf("%d\n", ans);
    }

    return 0;
}
